﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections;
using HelloWorld.Common;


namespace HelloWorld
{
    public partial class WebForm2 : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                // Inizializzo la pagina
                //var customers = GetCustomers();
                //DropDownList1.DataSource = customers;
                //DropDownList1.DataTextField = "CompanyName";
                //DropDownList1.DataValueField = "CustomerID";
                //DropDownList1.DataBind();
            }
        }


        IList<Customer> GetCustomers()
        {
            var context = new NorthwindDataContext();
            var query = from c in context.Customers
                        where c.Country == "Italy"
                        select c;
            var customers = query.ToList<Customer>();
            return customers;
        }

        protected void Button1_Click(Object sender, EventArgs e)
        {
            var id = DropDownList1.SelectedItem.Value;
            var name = DropDownList1.SelectedItem.Text;

            Message.InnerHtml = "Dettagli sul cliente <b>" + 
                name + "</b><br>" + id;

            var context = new NorthwindDataContext();
            var query = from o in context.Orders
                        where o.Customer.CustomerID == id
                        select new OrderForDisplay { 
                            IDOrdine = o.OrderID, 
                            DataOrdine = o.OrderDate, 
                            CodCli = o.CustomerID 
                        };
            var orders = query.ToList<OrderForDisplay>();
            //GridView1.DataSource = query;
            GridView1.DataSource = orders;
            GridView1.DataBind();
        }
    }
}