﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="BoundFields.aspx.cs" Inherits="Grid.BoundFields" %>

<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
<asp:SqlDataSource ID="SqlDataSource1" runat="server" 
                EnableCaching="true"
                ConnectionString='<%$ ConnectionStrings:NorthwindConnectionString %>'
                SelectCommand="SELECT * FROM products" />

	        <table><tr>
		        <td valign="top">
                    <asp:GridView ID="GridView1" runat="server" DataSourceID="SqlDataSource1" BackColor="white" 
                        DataKeyNames="productid,productname,unitprice"
                        AutoGenerateColumns="false" AllowPaging="true"
                        ClientIDMode="Predictable" ClientIDRowSuffix="productid" >
    		            <headerstyle backcolor="gray" font-bold="true" forecolor="white" height="200%" horizontalalign="center" />
			            <pagerstyle backcolor="gray" font-bold="true" forecolor="white" height="200%" />
			            <PagerSettings Mode="NextPreviousFirstLast" />
                        <Columns>
                            <asp:HyperLinkField DataTextField="productname" headertext="Product" 
						            DataNavigateUrlFields="productid" 
						            DataNavigateUrlFormatString="productinfo.aspx?id={0}" 
						            Target="ProductView">
						            <itemstyle width="220px" />
				            </asp:HyperLinkField>
                            <asp:boundfield datafield="quantityperunit" headertext="Packaging" /> 
                            <asp:boundfield datafield="unitprice" headertext="Price" HtmlEncode="false" DataFormatString="{0:c}">
						            <itemstyle width="80px" horizontalalign="right" /> 
                            </asp:boundfield>
                            <asp:TemplateField>
                                <ItemTemplate>
                                    <asp:Label runat="server" ID="ProductId" Text='<%# Eval("productname") %>' />
                                </ItemTemplate>
                            </asp:TemplateField>
                        </Columns>
                    </asp:GridView>
     		    </td>
		        <td valign="top">
   			        <iframe name="ProductView" id="ProductView" width="100%" height="250px" /> 
		        </td>		
	        </tr></table>   
            <h1>Your Shopping Cart</h1>
            <asp:GridView ID="ShoppingCartGrid" runat="server" AutoGenerateColumns="false">
                <EmptyDataTemplate>
                    <h3>No items currently added to the shopping cart.</h3>
                </EmptyDataTemplate>
                <Columns>
                    <asp:BoundField DataField="NumberOfItems" HeaderText="Quantity" />
                    <asp:BoundField DataField="ProductName" HeaderText="Product">                
                        <itemstyle width="220px" /> 
                    </asp:BoundField>   
                    <asp:BoundField DataField="UnitPrice" HeaderText="Price" HtmlEncode="false" DataFormatString="{0:c}">                
            	        <itemstyle width="80px" horizontalalign="right" /> 
            	    </asp:BoundField>    
                </Columns>
            </asp:GridView>
</asp:Content>
