﻿using System;
using System.Data.SqlClient;
using System.Web.UI.WebControls;
using Simple.DAL;

namespace Simple
{
    public partial class Radio : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                FillOptions();
                FillCountries();
            }
        }

        protected void FillOptions()
        {
            BulletOptions.DataSource = Enum.GetValues(typeof(BulletStyle));
            BulletOptions.SelectedIndex = 0;
            BulletOptions.DataBind();
        }

        protected void FillCountries()
        {
            // Get data
            var repo = new CustomerRepository();
            var data = repo.GetCountries();

            BulletedList1.DataSource = data;
            BulletedList1.DataBind();
        }

        protected void BulletOptions_SelectedIndexChanged(object sender, EventArgs e)
        {
            var style = (BulletStyle) Enum.Parse(typeof(BulletStyle), BulletOptions.SelectedValue);
            BulletedList1.BulletStyle = style;
        }
    }
}