using System;

namespace LoggingJs
{
    public static class DateTimeUtility
    {
        public static DateTime FromJavaScript(String millisecondsAsString)
        {
            long milliseconds = 0;
            var result = long.TryParse(millisecondsAsString, out milliseconds);
            return !result ? DateTime.MinValue : FromJavaScript(milliseconds);
        }

        public static DateTime FromJavaScript(long milliseconds)
        {
            // Base date in JS
            var dateTime = new DateTime(1970, 1, 1);

            // Add milliseconds
            return dateTime.AddMilliseconds(milliseconds);
        }
    }
}