﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.master" AutoEventWireup="true"
    CodeBehind="Default.aspx.cs" Inherits="LoggingJs._Default" %>

<asp:Content ID="HeaderContent" runat="server" ContentPlaceHolderID="HeadContent">

<script type="text/javascript">
    $(document).ready(initializePage3);

    function initializePage() {
        var log = log4javascript.getDefaultLogger();

        log.debug("test", "-- playing with Log4Javascript");
        log.info("Information");
        log.warn("Warning: pay attention");
        log.fatal("Tragedy");

        person = new Object();
        person.name = "Dino";
        person.age = 18;
        log.info(person);

        try {
            throw new Error("Oops, something inadvertently went wrong!");
        } catch (e) {
            log.error("Look at your code", e);
        }
    }

    function initializePage1() {
        var log = log4javascript.getLogger();
        var alertAppender = new log4javascript.AlertAppender();
        log.addAppender(alertAppender);
        log.debug("DEBUG", "-- playing with Log4Javascript");
        log.fatal("Tragedy");
    }

    function initializePage2() {
        var log = log4javascript.getLogger();
        var inPageAppender = new log4javascript.InPageAppender();
        log.addAppender(inPageAppender);

        log.info("Information");

        var layout = new log4javascript.PatternLayout("[%-5p] %m");
        inPageAppender.setLayout(layout);

        log.debug("Message #1", "Message #2");
        log.info("Information");
        log.warn("Warning: pay attention");
        log.fatal("Tragedy");
    }

    function initializePage3() {
       // log4javascript.setEnabled(false);
        var log = log4javascript.getLogger();

        var inPageAppender = new log4javascript.InPageAppender();
        log.addAppender(inPageAppender);

        var ajaxAppender = new log4javascript.AjaxAppender("log.svc/store");
        ajaxAppender.setThreshold(log4javascript.Level.ERROR);
        //ajaxAppender.setLayout(new log4javascript.JsonLayout());
        //ajaxAppender.setWaitForResponse(true);
        //ajaxAppender.setRequestSuccessCallback(requestCallback);
        log.addAppender(ajaxAppender);

        log.info("Message");
        log.fatal("Tragedy");
    }
</script>


</asp:Content>
<asp:Content ID="BodyContent" runat="server" ContentPlaceHolderID="MainContent">
    <h2 id="Header">
        Discovering <b>Log4Javascript</b>
    </h2>
    
</asp:Content>
