﻿using System;

namespace Mvvm.Helpers
{
    public static class Extensions
    {
        public static Int32 ToInt32(this String theString)
        {
            Int32 number;
            var result = Int32.TryParse(theString, out number);
            if (!result)
                return Int32.MinValue;

            return number;
        }
    }
}
