﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Stock.aspx.cs" Inherits="Validation.Stock" %>


<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
    <script type="text/javascript">
        function CheckMembership(source, arguments) {
            arguments.IsValid = false;
            var buf = arguments.Value;
            if (buf == "Normal" || buf == "Silver" ||
                buf == "Gold" || buf == "Platinum")
                arguments.IsValid = true;
        }
    </script>

    <h3>Fill the form out</h3>  

	<table>
	    <tr>
	        <td>Name</td><td>*</td>
		    <td><asp:textbox runat="server" id="fname" />
		        <asp:RequiredFieldValidator runat="server" id="fnameValidator" 
		            ControlToValidate="fname" 
			        Text="!!!"
		            ErrorMessage="Name is mandatory" /></td></tr>
	    <tr>
	        <td>Last Name</td><td>*</td>
		    <td><asp:textbox runat="server" id="lname" />
		        <asp:RequiredFieldValidator runat="server" id="lnameValidator" 
		            ControlToValidate="lname" 
			        Text="!!!"
		            ErrorMessage="Last name is mandatory" /></td></tr>
	    <tr>
	        <td>Age</td><td></td>
		    <td><asp:textbox runat="server" id="age" />
		        <asp:CompareValidator runat="server" id="ageValidator" 
		            ControlToValidate="age" 
			        Operator="GreaterThanEqual" 
			        ValueToCompare="18"
		            Type="integer"
		            ErrorMessage="Age must be at least 18." /></td></tr>
	    <tr>
	        <td>Email</td><td></td>
		    <td><asp:textbox runat="server" id="email" />
		        <asp:RegularExpressionValidator runat="server" id="emailValidator" 
		            ControlToValidate="email" 
			        ValidationExpression="[a-zA-Z_0-9.-]+\@[a-zA-Z_0-9.-]+\.\w+" 
		            ErrorMessage="Must be an email address." /></td></tr>
	    <tr>
	        <td>Hire Date</td><td></td>
		    <td><asp:textbox runat="server" id="hired" />
		        <asp:CompareValidator runat="server" id="hiredValidator" 
		            ControlToValidate="hired" 
			        Display="Static"  
			        Operator="DataTypeCheck" 
		            Type="date"
		            ErrorMessage="Must enter a date." />
		        <asp:RangeValidator runat="server" id="hiredDateValidator" 
		            ControlToValidate="hired" 
			        Display="Dynamic"
		            MinimumValue="1999-1-1"
			        MaximumValue="9999-12-31"
		            Type="Date"
		            ErrorMessage="Date after 1-1-99." /></td></tr>
	    <tr>
	        <td>Membership Level</td><td></td>
		    <td><asp:textbox runat="server" id="membership" />
		        <asp:CustomValidator runat="server" id="membershipValidator" 
		                ControlToValidate="membership" 
			            ClientValidationFunction="CheckMembership"
		                ErrorMessage="Must be Gold or Platinum." /></td></tr>
    </table>
        	
	<asp:linkbutton ID="Linkbutton1" runat="server" Text="Add..." />
    <asp:button ID="Button1" runat="server" Text="Add..." />
    <hr />
    <asp:ValidationSummary ID="ValidationSummary1" runat="server"  
		ShowMessageBox="true" 
		ShowSummary="true" 
		HeaderText="The following errors occurred:"
		DisplayMode="BulletList" />
</asp:Content>
