﻿using System;
using System.Web.UI;

namespace Validation
{
    public partial class DoSearch : Page
    {
        protected void Page_Load(Object sender, EventArgs e)
        {
            // Use the PreviousPage object to retrieve posted data
            if (PreviousPage == null)
            {
                Message.Text = "Must be a cross-page post.";
                return;
            }

            if (!PreviousPage.IsValid)
            {
                Message.Text = "Sorry, the original page contains invalid input.";
                return;
            }

            // Use a strongly typed approach
            KeywordsBeingUsed.Text = PreviousPage.SelectedKeywords;
        }
    }
}