﻿using System;
using System.Net.Mail;

namespace ErrorPages
{
    public class Global : System.Web.HttpApplication
    {

        void Application_Start(Object sender, EventArgs e)
        {
            // Code that runs on application startup

        }

        void Application_Error(Object sender, EventArgs e)
        {
            // Code that runs when an unhandled error occurs
            var exception = Server.GetLastError();
            if (exception == null)
                return;

            var mail = new MailMessage { From = new MailAddress("automated@contoso.com") };
            //mail.To.Add(new MailAddress("administrator@contoso.com"));
            mail.To.Add(new MailAddress("dino@idesign.net"));
            mail.Subject = "Site error @ " + DateTime.Now;
            mail.Body = "Error Description: " + exception.Message;
            //var server = new SmtpClient {Host = "your.smtp.server"};
            var server = new SmtpClient { Host = "mail.orcsweb.com" };
            server.Send(mail);

            // Clear the error: NOT if you're having global error handling in global.asax
            //Server.ClearError();
        }
    }
}
