﻿using System;
using System.Web.UI;

namespace ErrorPages
{
    public partial class PageError : Page
    {
        protected void Button1_Click(Object sender, EventArgs e)
        {
            // This page will give you a rich YSOD if you are in debug mode. To test what
            // you get as a remote user, add the following to the web.config file
            // <customErrors mode="On" />
            
            throw new NotImplementedException();
        }

        protected void Button2_Click(Object sender, EventArgs e)
        {
            // This page will give you a rich YSOD if you are in debug mode. To test what
            // you get as a remote user, add the following to the web.config file
            // <customErrors mode="On" />

            // Throw a more "generic" exception 
            throw new ArgumentException();
        }

        protected void Page_Error(Object sender, EventArgs e)
        {
            // Capture the error  
            var exception = Server.GetLastError();

            // Resolve the error page based on the exception that occurred
            // and redirect to the appropriate page
            if (exception is NotImplementedException)
                Server.Transfer("/ErrorPages/NotImplErrorPage.aspx");
            else
            {
                Server.Transfer("/ErrorPages/GenericErrorPage.aspx");
            }
            // Clear the error: Not if you also have a global error handler in global.asax
           // Server.ClearError();
        }
    }
}