﻿using System;
using System.Web.Routing;

namespace RuntEffects
{
    public class Global : System.Web.HttpApplication
    {
        void Application_Start(object sender, EventArgs e)
        {
            RegisterRoutes(RouteTable.Routes);
        }
        
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.MapPageRoute("Category",
                "Category/{action}/{categoryName}",
                "~/categoriespage.aspx",
                true,
                new RouteValueDictionary
                    {
                        { "categoryName", "beverages" }, 
                        { "action", "edit" }
                    });
        }
    }
}
