﻿using System;
using System.Collections.Generic;
using System.ServiceModel;

namespace SilverRia.Web.Services
{
    [ServiceContract]
    public interface IInventoryManager
    {
        [ServiceKnownType(typeof(MissingProductInfo))]
        [OperationContract]
        ProductInfo GetInventoryById(Int32 id);

        [OperationContract]
        IList<ProductInfo> GetInventoryByName(String name);
    }
}
