﻿using System;
using System.Web;
using Presentation.Navigation;

namespace MoneyExpressWeb.Navigation
{
    public class SiteNavigationWorkflow : INavigationWorkflow
    {
        #region INavigationWorkflow Members

        public void Goto(String view)
        {
            switch (view)
            {
                case "home":
                    HttpContext.Current.Response.Redirect("~/default.aspx");
                    break;
                case "test":
                    HttpContext.Current.Response.Redirect(String.Format("~/test.aspx?x='{0}'", Navigator.Argument));
                    break;
            }
        }

        public void NextViewFrom(String currentView)
        {
            switch (currentView)
            {
                case "home":
                    // Calculate next view using logic
                    break;
            }
        }

        #endregion
    }
}
